import { onUserRequest } from './api.js';

function togglePopup() {
    const chatPopup = document.getElementById('chat-popup');
    const chatInput = document.getElementById('chat-input');
    chatPopup.classList.toggle('hidden');

    // If we're opening the popup and there's no location selected yet, focus on
    // the location selector
    if (!chatPopup.classList.contains('hidden')) {
        if (selectedLocation === '') {
            // We're showing the location selector by default
        } else {
            // If location already selected, focus the chat input
           chatInput.focus();
        }
    }
}

export function setupEventListeners() {
    const chatInput = document.getElementById('chat-input');
    const chatSubmit = document.getElementById('chat-submit');
    const chatMessages = document.getElementById('chat-messages');
    const chatBubble = document.getElementById('chat-bubble');
    const chatPopup = document.getElementById('chat-popup');

    const closePopup = document.getElementById('close-popup');
    const locationSelector = document.getElementById('location-selector');
    const chatInputContainer = document.getElementById('chat-input-container');
    const bucurestiBtnm = document.getElementById('bucuresti-btn');
    const pitestiBtnm = document.getElementById('pitesti-btn');

    chatPopup.classList.remove('hidden');

    chatSubmit.addEventListener('click', () => {
        const message = chatInput.value.trim();
        if (!message)
            return;

        chatInput.value = '';
        onUserRequest(message);
    });

    chatInput.addEventListener('keyup', (event) => {
        if (event.key === 'Enter') {
            chatSubmit.click();
        }
    });

    chatBubble.addEventListener('click', function() {
        togglePopup();
    });

    closePopup?.addEventListener('click', function() {
        togglePopup();
    });
}
