import { initUI } from './ui.js';
import { setupEventListeners } from './events.js';
import { setupSelections } from './selections.js';
import { setupReport } from './report.js';

document.addEventListener('DOMContentLoaded', () => {
    initUI().then(() => {
        setupEventListeners();
        setupSelections();
        setupReport();
    }).catch(err => console.error('Error initializing UI:', err));
});
